### Add Edit With * to the Windows Context Menu

This tweak will add whatever item you decide to save to the context menu for all files regardless if they are text or binary files. I personally use this to add an option to edit with [Notepad2](https://www.flos-freeware.ch/notepad2.html).

1. Open the registry editor and navigate to HKCR\\*\shell  
\- If you would like to make the change for a specific extension, find it in the list. If the shell key isn't there, make it the same way as the next step.
2. Right click on shell and select New -> Key
3. Name the key the name you would like on the context menu, e.g. Edit with Notepad2
4. Right click your new key and create a sub-key called command
5. Select the command key and in the right pane right click the default string value and click on modify
6. Enter the path to your executable in double quotes (the quotes aren't strictly necessary unless there's spaces but it doesn't hurt anything) and then %1 surrounded by quotes. If you don't put quotes around the %1 and you attempt to run your command on a file that has spaces in the name or in the path the command will fail and you won't open the file. e.g. "A:\Programs\Notepad2\Notepad2.exe" "%1" for my notepad2 installation.
7. Enjoy! The change will take effect immediately so you don't need to restart explorer or your PC.

*Instructions taken from [HowToGeek](https://www.howtogeek.com/howto/windows-vista/add-open-with-notepad-to-the-context-menu-for-all-files)*
